This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 354951

Summary: since upgrading to rawhide my colours are bleached
Product: [Fedora] Fedora Reporter: Need Real Name <lsof>
Component: xorg-x11-drv-atiAssignee: Dave Airlie <airlied>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: dwmw2, jwboyer, wwoods, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 6.7.196-1.fc8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-11-26 13:43:40 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
/var/log/Xorg.0.log
none
Xorg.0.log from G5
none
xorg.conf from G5
none
xorg.conf from G5
none
Xorg.0.log from G5
none
working logfile
none
Xorg.0.log from another G5 none

Description Need Real Name 2007-10-26 18:09:28 EDT
Weird one this. Like I need a colour profile or something.

Since upgrading to rawhide from F7, I am not seeing certain colours (like light
blue on white). Changing the brightness/contrast/colour temperature settings on
the monitor does not help.

It looked fine in F7.

I am using a VGA cable.
Comment 1 Will Woods 2007-10-26 18:25:48 EDT
Hey I've got this same problem! It's not harmful, really, just weird.

Probably you should include some details about the monitor, video card, your
machine arch, etc.

I'm seeing it on a ppc64 (dual G5 power mac) with Radeon video:
VGA compatible controller: ATI Technologies Inc RV350 AP [Radeon 9600]
The monitor is a DELL 2007WFP, connected by VGA through a KVM.

It's definitely something between the video card and the monitor; screenshots
taken on this machine look normal if displayed on other machines.
Comment 2 Need Real Name 2007-10-27 05:03:52 EDT
Oh good :)

It's a good thing I don't use any publishing programs much (OO, Gimp, etc)
The problem for me is that I cannot see the difference in some docs between
commands (with a light blue background) and the surrounding text. Very annoying.

32-bit/Pentium 4
Monitor: Iiyama PLE2200
Card: ATI Radeon 9100 IGP

Would be nice if this was fixed, it's surprising how confusing things get when
you are slightly colour blind.
Comment 3 Matěj Cepl 2007-10-29 13:44:56 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Need Real Name 2007-10-29 14:23:23 EDT
Created attachment 242241 [details]
/var/log/Xorg.0.log

I have no /etc/X11/xorg.conf file.
Comment 5 Will Woods 2007-10-29 16:12:43 EDT
Created attachment 242351 [details]
Xorg.0.log from G5
Comment 6 Will Woods 2007-10-29 16:13:39 EDT
Created attachment 242361 [details]
xorg.conf from G5
Comment 7 Will Woods 2007-10-29 16:18:46 EDT
Created attachment 242371 [details]
xorg.conf from G5

previous xorg.conf was from wrong machine. disregard.
Comment 8 Will Woods 2007-10-29 16:19:48 EDT
Created attachment 242381 [details]
Xorg.0.log from G5

previous Xorg.0.log was from the wrong machine, although the same monitor.
Might be interesting to compare probed EDID values?
Comment 9 Will Woods 2007-10-29 16:20:40 EDT
Files attached.
Comment 10 David Woodhouse 2007-11-05 10:05:41 EST
Created attachment 248241 [details]
working logfile

Strange. For comparison, here's Xorg.0.log from a _working_ G5.
Comment 11 Josh Boyer 2007-11-05 10:33:07 EST
Created attachment 248351 [details]
Xorg.0.log from another G5

This Xorg.0.log file is also from a G5 showing the problem.  This is from a
fresh scratch install of rawhide/F8 today.
Comment 12 Will Woods 2007-11-05 11:19:55 EST
dwmw2: interesting. We've got the same video card and extremely similar (Dell
flat-panel) monitors. The most obvious difference is that yours is connected by
DVI rather than VGA. I'll try DVI and see if that changes anything.
Comment 13 Need Real Name 2007-11-05 12:46:12 EST
But I'm not using Dell or Apple.. Does Dell rebadge IIyama monitors?
Comment 14 Josh Boyer 2007-11-05 13:08:17 EST
I have an IBM L200p and using straight dvi produces weird results.  Like oddball
screen sizes and having to switch to a vtty and back to X before it will display
anything.
Comment 15 Josh Boyer 2007-11-05 13:11:13 EST
Switching the driver from radeon to fbdev in my xorg.conf seems to work fine.
Comment 16 Dave Airlie 2007-11-18 19:25:56 EST
can you please test the 6.7.196 driver in F8 updates-testing?

and report it it fixes the washed out colours..
Comment 17 Need Real Name 2007-11-19 02:01:42 EST
 # yum --enablerepo=updates-testing upgrade xorg-x11-drv-ati
 No Packages marked for Update

Will try again later.
Comment 18 Fedora Update System 2007-11-20 12:54:10 EST
xorg-x11-drv-ati-6.7.196-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-ati'
Comment 19 Need Real Name 2007-11-21 15:01:10 EST
Hurrah!
Comment 20 Matěj Cepl 2007-11-22 10:54:48 EST
(In reply to comment #19)
> Hurrah!

Could you elaborate on this a little bit, please? :-)
Does it mean, that with the package xorg-x11-drv-ati-6.7.196-1.fc8 your problem
was resolved?
Comment 21 Need Real Name 2007-11-22 18:40:33 EST
WFM - thanks.
Comment 22 Fedora Update System 2007-11-26 13:43:38 EST
xorg-x11-drv-ati-6.7.196-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.